Package wx :: Package lib :: Module pydocview :: Class DocSDIFrame

[frames | no frames]

## Type DocSDIFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                     DocChildFrame --+
                                     |
                     DocFrameMixIn --+
                                     |
                                    DocSDIFrame

The DocSDIFrame host DocManager Document windows. It offers features such as a default menubar, toolbar, and status bar.

Method Summary
| ``__init__`(self, doc, view, parent, id, title, pos, size, style, name)` Initializes the DocSDIFrame with the default menubar, toolbar, and status bar.
| ``OnCloseWindow`(self, event)` Called when the window is saved.
| ``OnExit`(self, event)` Called when the application is exitting.
| ``OnMRUFile`(self, event)` Opens the appropriate file when it is selected from the file history menu.
| ``ProcessEvent`(self, event)` Processes an event, searching event tables and calling zero or more suitable event handler function(s).
| ``ProcessUpdateUIEvent`(self, event)` Processes a UI event, searching event tables and calling zero or more suitable event handler function(s).

Property Summary

Instance Method Details

### __init__(self, doc, view, parent, id, title, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=541072960, name='DocSDIFrame')
(Constructor)

Initializes the DocSDIFrame with the default menubar, toolbar, and status bar.

  Overrides:
    `wx.lib.docview.DocChildFrame.__init__`

### OnCloseWindow(self, event)

Called when the window is saved. Enables services to help close the frame.

  Overrides:
    `wx.lib.docview.DocChildFrame.OnCloseWindow`

### OnExit(self, event)

Called when the application is exitting.

### OnMRUFile(self, event)

Opens the appropriate file when it is selected from the file history menu.

### ProcessEvent(self, event)

Processes an event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

  Overrides:
    `wx.lib.docview.DocChildFrame.ProcessEvent`

### ProcessUpdateUIEvent(self, event)

Processes a UI event, searching event tables and calling zero or more suitable event handler function(s). Note that the ProcessEvent method is called from the wxPython docview framework directly since wxPython does not have a virtual ProcessEvent function.

  Overrides:
    `wx.lib.docview.DocChildFrame.ProcessUpdateUIEvent`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:42 2007 | http://epydoc.sf.net